import request from '@/utils/request'

// 查询商品SKU列表
export function listProductSku(query) {
    return request({
        url: '/service/productSku/list',
        method: 'get',
        params: query
    })
}

// 查询商品SKU详细
export function getProductSku(id) {
    return request({
        url: '/service/productSku/' + id,
        method: 'get'
    })
}

// 新增商品SKU
export function addProductSku(data) {
    return request({
        url: '/service/productSku',
        method: 'post',
        data: data
    })
}

// 修改商品SKU
export function updateProductSku(data) {
    return request({
        url: '/service/productSku',
        method: 'put',
        data: data
    })
}

// 删除商品SKU
export function delProductSku(id) {
    return request({
        url: '/service/productSku/' + id,
        method: 'delete'
    })
}
